### Enumeration

# Qmi DmsUimFacilityState

since: 1.0

#### Declaration

    enum Qmi.DmsUimFacilityState

#### Description [src]

State of the UIM facility.

Available since: 1.0

#### Members

`QMI_DMS_UIM_FACILITY_STATE_DEACTIVATED`

  Facility is deactivated.

  - Value: `0`
  - Available since: 1.0
`QMI_DMS_UIM_FACILITY_STATE_ACTIVATED`

  Facility is activated.

  - Value: `1`
  - Available since: 1.0
`QMI_DMS_UIM_FACILITY_STATE_BLOCKED`

  Facility is blocked.

  - Value: `2`
  - Available since: 1.0

#### Type functions

###### qmi_dms_uim_facility_state_get_string

Gets the nickname string for the `QmiDmsUimFacilityState` specified at `val`.

since: 1.0